Votre Nom 2 years ago
parent
commit
34c4a41e47
3 changed files with 64 additions and 19 deletions
  1. 3 3
      build/build_linux.sh
  2. 41 16
      build/lolminer_autostart.sh
  3. 20 0
      build/lolminer_service.sh

+ 3 - 3
build/build_linux.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 #!/bin/bash
-echo "linux config v2.1 wareck@gmail.com"
-echo ""
+echo -e "linux config v2.1 wareck@gmail.com"
+echo -e ""
 PS3='Please enter your choice: '
 PS3='Please enter your choice: '
 options=("NVIDIA-RTX" "NVIDIA-GTX" "AMD" "Quit")
 options=("NVIDIA-RTX" "NVIDIA-GTX" "AMD" "Quit")
 select opt in "${options[@]}"
 select opt in "${options[@]}"
@@ -163,7 +163,7 @@ sudo mv wakeup_cube.sh /usr/local/bin
 function liquidcontrol {
 function liquidcontrol {
 if [ $Mode = "NVIDIAGTX" ] || [ $Mode = "NVIDIARTX" ]
 if [ $Mode = "NVIDIAGTX" ] || [ $Mode = "NVIDIARTX" ]
 then
 then
-pip3 install liquidctl
+sudo pip3 install liquidctl
 fi
 fi
 if [ $Mode = "NVIDIAGTX" ]
 if [ $Mode = "NVIDIAGTX" ]
 then
 then

+ 41 - 16
build/lolminer_autostart.sh

@@ -1,20 +1,45 @@
 #!/bin/bash
 #!/bin/bash
-if [ -f /tmp/lolminer ]; then sudo rm /tmp/lolminer;fi
-if [ -f /etc/init.d/lolminer ]; then sudo rm /etc/init.d/lolminer;fi
 
 
-cat <<'EOF'>> /tmp/lolminer
-#!/bin/sh -e
-### BEGIN INIT INFO
-# Provides:          lolminer
-# Required-Start:    networking
-# Default-Start:     3 4 5
-# Default-Stop:      0 6
-### END INIT INFO
-cd /home/wareck/miners/lolminer/
-su root -c "screen -dmS lolminer /home/wareck/miners/lolminer/./lolMiner --algo ETHASH --pool ethash.unmineable.com --port 3333 --user SHIB:0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.nzxt --worker Rig1 --pass x --ethstratum ETHPROXY --basecolor on"
-exit 0
+function autoroot_ {
+if [ ! -d /home/wareck/.config/autostart ]
+then
+echo -e "$(tput setaf 10)\nInit install & autostart :$(tput sgr0)"
+mkdir /home/wareck/.config/autostart
+fi
+if [ ! -f /home/wareck/.config/autostart/lolminer.desktop ]
+then
+cat <<'EOF'>> /home/wareck/.config/autostart/lolminer.desktop
+[Desktop Entry]
+# VERSION=3.36.2
+Name=Terminal
+Comment=Use the command line
+Keywords=shell;prompt;command;commandline;cmd;
+TryExec=gnome-terminal
+Exec=gnome-terminal -- bash -c "sudo /home/wareck/miners/lolminer/./lolMiner --algo ETHASH --pool ethash.unmineable.com --port 3333 --user SHIB:0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.nzxt --worker Rig1 --pass x --ethstratum ETHPROXY"
+Icon=org.gnome.Terminal
+Type=Application
+Categories=GNOME;GTK;System;TerminalEmulator;
+StartupNotify=true
+X-GNOME-SingleWindow=false
+OnlyShowIn=GNOME;Unity;
+Actions=new-window;preferences;
+X-Ubuntu-Gettext-Domain=gnome-terminal
+
+[Desktop Action new-window]
+Name=New Window
+Exec=gnome-terminal --window
+
+[Desktop Action preferences]
+Name=Preferences
+Exec=gnome-terminal --preferences
 EOF
 EOF
-chmod +x /tmp/lolminer
-sudo cp /tmp/lolminer /etc/init.d/lolminer
-sudo update-rc.d lolminer defaults
+chmod +x /home/wareck/.config/autostart/lolminer.desktop
+fi
+if ! grep "wareck" /etc/sudoers >/dev/null
+then
+sudo sh -c "echo \"wareck ALL=(ALL) NOPASSWD: ALL\" >> /etc/sudoers"
+echo "Done"
+fi
+}
 
 
+autoroot_

+ 20 - 0
build/lolminer_service.sh

@@ -0,0 +1,20 @@
+#!/bin/bash
+if [ -f /tmp/lolminer ]; then sudo rm /tmp/lolminer;fi
+if [ -f /etc/init.d/lolminer ]; then sudo rm /etc/init.d/lolminer;fi
+
+cat <<'EOF'>> /tmp/lolminer
+#!/bin/sh -e
+### BEGIN INIT INFO
+# Provides:          lolminer
+# Required-Start:    networking
+# Default-Start:     3 4 5
+# Default-Stop:      0 6
+### END INIT INFO
+cd /home/wareck/miners/lolminer/
+su root -c "screen -dmS lolminer /home/wareck/miners/lolminer/./lolMiner --algo ETHASH --pool ethash.unmineable.com --port 3333 --user SHIB:0x345b006F98a231cD846f6a8a8151F9999bBD2f2A.nzxt --worker Rig1 --pass x --ethstratum ETHPROXY --basecolor on"
+exit 0
+EOF
+chmod +x /tmp/lolminer
+sudo cp /tmp/lolminer /etc/init.d/lolminer
+sudo update-rc.d lolminer defaults
+